ChoiceFormat
Date: 2016-06-24

java.text

## Class ChoiceFormat

- java.lang.Object
- - java.text.Format
  - - java.text.NumberFormat
    - - java.text.ChoiceFormat

- All Implemented Interfaces:
    Serializable, Cloneable

      public class ChoiceFormat
      extends NumberFormat

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.text.NumberFormat

      `NumberFormat.Field`

  - ### Field Summary

    - ### Fields inherited from class java.text.NumberFormat

      `FRACTION_FIELD, INTEGER_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChoiceFormat(double[] var0, String[] var1)`
    `ChoiceFormat(String var0)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyPattern(String var0)`
    `StringBuffer` | `format(double var0, StringBuffer var1, FieldPosition var2)`
    `StringBuffer` | `format(long var0, StringBuffer var1, FieldPosition var2)`
    `Object[]` | `getFormats()`
    `double[]` | `getLimits()`
    `static double` | `nextDouble(double var0)`
    `static double` | `nextDouble(double var0, boolean var1)`
    `Number` | `parse(String var0, ParsePosition var1)`
    `static double` | `previousDouble(double var0)`
    `void` | `setChoices(double[] var0, String[] var1)`
    `String` | `toPattern()`

    - ### Methods inherited from class java.text.NumberFormat

      `format, format, format, getAvailableLocales, getCurrency, getCurrencyInstance, getCurrencyInstance, getInstance, getInstance, getIntegerInstance, getIntegerInstance, getMaximumFractionDigits, getMaximumIntegerDigits, getMinimumFractionDigits, getMinimumIntegerDigits, getNumberInstance, getNumberInstance, getPercentInstance, getPercentInstance, isGroupingUsed, isParseIntegerOnly, parse, parseObject, setCurrency, setGroupingUsed, setMaximumFractionDigits, setMaximumIntegerDigits, setMinimumFractionDigits, setMinimumIntegerDigits, setParseIntegerOnly`

    - ### Methods inherited from class java.text.Format

      `clone, format, formatToCharacterIterator, parseObject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChoiceFormat

          public ChoiceFormat(String var0)

    - #### ChoiceFormat

          public ChoiceFormat(double[] var0,
                      String[] var1)

  - ### Method Detail

    - #### applyPattern

          public void applyPattern(String var0)

    - #### format

          public StringBuffer format(double var0,
                            StringBuffer var1,
                            FieldPosition var2)

      Specified by:
        `format` in class `NumberFormat`

    - #### format

          public StringBuffer format(long var0,
                            StringBuffer var1,
                            FieldPosition var2)

      Specified by:
        `format` in class `NumberFormat`

    - #### getFormats

          public Object[] getFormats()

    - #### getLimits

          public double[] getLimits()

    - #### nextDouble

          public static final double nextDouble(double var0)

    - #### nextDouble

          public static double nextDouble(double var0,
                          boolean var1)

    - #### parse

          public Number parse(String var0,
                     ParsePosition var1)

      Specified by:
        `parse` in class `NumberFormat`

    - #### previousDouble

          public static final double previousDouble(double var0)

    - #### setChoices

          public void setChoices(double[] var0,
                        String[] var1)

    - #### toPattern

          public String toPattern()